#!/bin/bash

#  Geändert: 24.04.2021

# Datum-Format: ISO 8601 yyyy-mm-dd
function eingabe() {
zenity --forms \
  --title="EMail-Kontakt hinzufügen" \
  --text="Geben Sie die geforderten Daten in das Formular ein!" \
	--separator="," \
	--add-entry="Vorname:" \
	--add-entry="Nachname:" \
	--add-entry="EMail-Adresse:" \
	--add-calendar="Geburtstag:" \
	--forms-date-format="%Y-%m-%d" >> liste.csv
}

function ausgabe() {
awk -F "," '{print $1"\n"$2,"\n"$3,"\n"$4}' liste.csv | zenity \
  --width=600 \
  --height=300 \
  --title="EMail-Kontaktliste" \
  --text="Wählen Sie einen Datensatz aus..." \
  --list \
  --column="Vorname" \
  --column="Name" \
  --column="EMail-Adresse" \
  --column="Geburtsdatum"  \
  --separator="," \
  --print-column=all
}

while true
do
menu="$(zenity --width=360 \
       --height=200 \
       --title="EMail-Kontaktliste" \
       --text="Wählen Sie eine Aktion aus..." \
       --list \
       --radiolist \
       --column="Auswahl" \
       --column="Aktion" \
       FALSE "Eingabe von EMail-Kontakt-Daten" \
       TRUE "Ausgabe der EMail-Kontakt-Daten" \
       FALSE "Programm-Ende")"

  if [ "$menu" = "Eingabe von EMail-Kontakt-Daten" ]; then
	  eingabe
  elif [ "$menu" = "Ausgabe der EMail-Kontakt-Daten" ]; then
    ausgabe
  elif [ "$menu" = "Programm-Ende" ]; then
    exit
  fi
done
